%define debug_package %{nil}

Name:		packetexaminer
Version:	0.9
Release:	4%{?dist}
Summary:	PacketExaminer - Analyze PCAP files
Group:		System Environment/Libraries
License:	GPL3
Source:		%{name}-%{version}.tar.gz
URL:		https://github.com/joemcmanus/packetexaminer
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%if 0%{?centos} == 7
BuildRequires:	python36 python36-setuptools
Requires:	python36 python36-setuptools
%else
BuildRequires:	python3 python-setuptools
Requires:	python3 python3-pip
%if 0%{?fedora} == 23 || 0%{?fedora} == 24
Requires:	python3-numpy python3-devel
%endif
%endif

%description
This is a harness to perform PCAP analysis that a security engineer may do during an incident response
or when looking at network security. I - Joe McManus - found myself using a collection of tools and techniques
again and again and thought it would be helpful to create a program that would do this for me. This hopefully
automates some routine functions you would do manually.

%prep
%setup

%build
echo Nothing to build

%post
%if 0%{?centos} == 7
easy_install-3.6 pip
/usr/local/bin/pip3.6 install scapy networkx pandas prettytable plotly scapy-http
%else
/usr/bin/pip3 install scapy networkx pandas prettytable plotly scapy-http
%endif

%install
%__install -d %{buildroot}%{_bindir}
%__install packetexaminer.py %{buildroot}%{_bindir}/packetexaminer
%if 0%{?centos} == 7
sed --in-place '1s/python3/python3.6/' %{buildroot}%{_bindir}/packetexaminer
%endif

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%doc training/dnsExample.py training/dnsPlotExample.py training/geoIPExample.py training/httpExample.py training/ipExample.py training/packetTimeAgg.py training/PFIC2018-PythonTraining.pdf training/plotlyExample.py training/sortedIPExample.py README.md
%defattr(644,root,root,755)
%attr(755, root, root)	%{_bindir}/*
%license LICENSE

%changelog
* Mon Nov 12 2018 Lawrence R. Rogers <lrr@cert.org> 0.9-4
* Release 0.9-4
	Fixed CentOS/RHEL 7 pip3 install
	
* Mon Nov 12 2018 Lawrence R. Rogers <lrr@cert.org> 0.9-3
* Release 0.9-3
	Added scapy-http to the list of pip modules.
	
* Sat Nov 10 2018 Lawrence R. Rogers <lrr@cert.org> 0.9-2
* Release 0.9-2
	Added %post to install pip modules.
	
* Fri Nov  9 2018 Lawrence R. Rogers <lrr@cert.org> 0.9-1
* Release 0.9-1
	Initial release
